Summary: Web based calendar/planner
Name: wcal
Version: 1.10
Release: 1
Copyright: GPL
Group: Applications/Productivity
Packager: Danny Sung <dannys@mail.com>
URL: http://www.woods.iki.fi/pub/wcal/
Source: http://eniac.netspan.fi/~skarkkai/wcal/wcal-%{PACKAGE_VERSION}.tgz
Requires: perl, DateManip, Data-Dumper
BuildRoot: /tmp/datemanip
Prefix: /usr
Patch1: wcal-1.10-patch-1
Patch2: wcal-1.10-patch-2
Patch3: wcal-1.10-patch-3

%description
Wcal is a web based calendar/planner especially suitable for
multi-user setups in an Intranet. Useful for companies and other
organizations who wish to publish schedules and timetables for their
employees and members on the web.

%prep
%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
make

%install
mkdir -p ${RPM_BUILD_ROOT}/etc
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/init.d
mkdir -p ${RPM_BUILD_ROOT}/home/httpd/html/wcal
mkdir -p ${RPM_BUILD_ROOT}/var/wcal
mkdir -p ${RPM_BUILD_ROOT}/var/wcal/bin
mkdir -p ${RPM_BUILD_ROOT}/var/wcal/etc
mkdir -p ${RPM_BUILD_ROOT}/var/wcal/db
mkdir -p ${RPM_BUILD_ROOT}/usr/man/man5

install -m755 wcald.init ${RPM_BUILD_ROOT}/etc/rc.d/init.d/wcald
install -m755 index.cgi ${RPM_BUILD_ROOT}/home/httpd/html/wcal/

install -m640 wcal.conf ${RPM_BUILD_ROOT}/var/wcal/etc/
install -m644 wcal.conf.5 ${RPM_BUILD_ROOT}/usr/man/man5/

install -m644 left-arrow.gif ${RPM_BUILD_ROOT}/home/httpd/html/wcal/
install -m644 right-arrow.gif ${RPM_BUILD_ROOT}/home/httpd/html/wcal/

ln -snf /var/wcal/etc/wcal.conf ${RPM_BUILD_ROOT}/etc

cat wcald | sed 's|_X_DIRECTORY|/home/httpd/html/wcal|g' > ${RPM_BUILD_ROOT}/var/wcal/bin/wcald
chmod 0755 ${RPM_BUILD_ROOT}/var/wcal/bin/wcald

%post
%postun

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,nobody)
%doc CHANGES COPYING INSTALL README README.db TODO
%dir %attr(0770,root,nobody) /home/httpd/html/wcal/
%attr(0755,root,root) /home/httpd/html/wcal/index.cgi
%attr(0644,root,root) /home/httpd/html/wcal/left-arrow.gif
%attr(0644,root,root) /home/httpd/html/wcal/right-arrow.gif
/etc/rc.d/init.d/wcald
/etc/wcal.conf
%dir /var/wcal/
%dir /var/wcal/bin
%dir /var/wcal/etc
/var/wcal/bin/wcald
%dir %config /var/wcal/db
%config /var/wcal/etc/wcal.conf

